Inboxes

Restore many trashed conversations

Restore many trashed conversations. Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

POST
/inboxes/{inbox_id}/batch/restore

Restore many trashed conversations.

Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

inbox_id*string

Inbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/inboxes/string/batch/restore" \  -H "Content-Type: application/json" \  -d '{    "conversation_ids": [      "9c81790c-ae74-4cbd-b2ca-d246ae0df1a9"    ]  }'
{  "message": "string"}